Skip to main content

Get all ApplicationConfigurationVariable groups for an application

GET 

/qsystem/rest/config/applications/:applicationId/variables/groups

Get all ApplicationConfigurationVariable groups for an application.

The applicationId provided must not be null/empty and must represent a valid application that exists in Orchestra.

Usage:

curl -u user:password -i -X GET http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/groups

Request​

Responses​

A JSON Array of all the names of the ApplicationConfigurationVariable groups that exist for specified application. For example:

["group1", "group2", ...]

Returns an empty JSON Array [] if no groups exist for the given application.